#ifndef VALIDATE_H
#define VALIDATE_H 1

#include "httpd.h"
#include "http_log.h"
#include "http_config.h"
#include "ap_config.h"

#include "auth_form.h"

enum {
    AUTH_OK,
    AUTH_USER_NOT_FOUND,
    AUTH_FAILURE,
};

int maf_validate_password(request_rec *r, const char *user, const char *passwd);

#endif /* VALIDATE_H */
